/* BlinkenLib
   Copyright 2004-2023 Stefan Schuermans <stefan@schuermans.info>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include "Tools.h"

#ifdef WIN32
#include <windows.h>
#include <winsock2.h>
#else
#include <sys/time.h>
#include <unistd.h>
#endif

#ifdef WIN32

void BlinkenMSleep(unsigned int ms) { Sleep(ms); }

unsigned int BlinkenGetMs(void) { return GetTickCount(); }

#else

void BlinkenMSleep(unsigned int ms) { usleep(ms * 1000); }

unsigned int BlinkenGetMs(void) {
  struct timeval tv;
  gettimeofday(&tv, NULL);
  return (unsigned int)(tv.tv_usec / 1000 + tv.tv_sec * 1000);
}

#endif
